Skip to main content

UpdateTableInfo

Updates information for a specified data table.

Debug

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table describes the authorization information for this API. You can use it in the Action element of a RAM policy statement to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Action: the specific permission point.
  • Access level: the access level of each action. Valid values: Write, Read, or List.
  • Resource type: the resource types that support authorization for the action. Details are as follows:
    • For required resource types, an asterisk (*) is added as a prefix.
    • For actions that do not support resource-level authorization, All resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Related action: other permissions required to successfully perform the action. The caller must also have the permissions of the related actions for the operation to succeed.
ActionAccess levelResource typeCondition keyRelated action
dataanalysisgbi:UpdateTableInfonone
*All resources
*
    None
None

Request syntax

POST /gbi/update/table HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

ID of the Alibaba Cloud Model Studio workspace used in this request

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters

tableIdKeystringYes

Unique ID of the data table

table-AAAAAAAAFQBwSLJkUj4CYg
descriptionstringNo

Description of the data table

This is a user information table
primaryKeystringNo

Primary key field

id
foreignKeysarrayNo

List of foreign key relationships for this table, in the format of "table_name.column_name=table_name.column_name"

ForeignKeystringNo

A single foreign key relationship

user.name=order.username

Response parameters

NameTypeDescriptionExample value
object

Result

dataany

Response data

true
errorMsgstring

Error message

NoAuth
codestring

Error code

NoAuth
successboolean

true indicates that the API call is successful, and false indicates that the API call has failed

true
requestIdstring

Request ID, which is unique for each request and helps with troubleshooting

E9563C85-5810-5835-B68C-78580BC3169E

Examples

Success response JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "E9563C85-5810-5835-B68C-78580BC3169E"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permissions for the specified workspace.
401NoResourceAuthBad Request: Resource Auth Error.No permission for the requested resource. Make sure that the requested resource belongs to the workspace in the current parameters.
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Visit the Error Center to view more error codes.